import FindMyBooking from "@/components/HotelReservation/FindMyBooking"
import { getIntl } from "@/i18n"

import styles from "./page.module.css"

export default function GetBookingPage() {
  return (
    <main className={styles.main}>
      <div className={styles.form}>
        <FindMyBooking />
      </div>
    </main>
  )
}

export async function generateMetadata() {
  const intl = await getIntl()

  return {
    title: intl.formatMessage({ defaultMessage: "Find booking" }),
  }
}
